execute if score .scenario val matches 1 as @a[distance=..5] run function rr:send_error {message:"A game is already running... how have you managed to press this?!"}
scoreboard players set .player_count val 0
execute store result score .player_count val run xp add @a[team=player] 0
execute if score .player_count val matches ..0 as @a[distance=..5] run function rr:send_error {message:"How can you start a game with no players..."}
execute if score .game_mode val matches 1 if score .player_count val matches ..1 as @a[distance=..5] run function rr:send_error {message:"The elimination game mode requires at least two people to start!"}
execute if score .game_mode val matches 1 if score .player_count val matches ..1 run return 0
execute if score .player_count val matches ..0 run return 0
execute if score .scenario val matches 1 run return 0

gamemode spectator @a[team=spectator]
scoreboard players set .elimination_countdown val 0
function rr:podium/clear_podium
fill -52 40 51 -52 38 52 barrier replace air
function rr:game/update_finish_tags_armour_stand
tp @a -54.5 38.1 52. -90 0
execute as @a[gamemode=spectator] run spectate @r[gamemode=adventure]
clear @a
gamemode adventure @a[team=player]
item replace entity @a[team=player] hotbar.8 with carrot_on_a_stick[item_name='[{"bold":true,"color":"#C72816","text":"C"},{"color":"#CD3016","text":"h"},{"color":"#D23716","text":"e"},{"color":"#D83F16","text":"c"},{"color":"#DD4616","text":"k"},{"color":"#E34E17","text":"p"},{"color":"#E95617","text":"o"},{"color":"#EE5D17","text":"i"},{"color":"#F46517","text":"n"},{"color":"#FF7417","text":"t"}]',lore=['{"color":"#DBEDFF","italic":true,"text":"Use me to instantly teleport"}','{"color":"#DBEDFF","italic":true,"text":"to your last checkpoint!"}']] 1
function rr:game/checkpoint/create_all
function rr:countdown/start_countdown
function rr:boss_bars/set_game_boss_bar
scoreboard players set @a current_checkpoint 0
scoreboard objectives setdisplay list current_checkpoint
scoreboard players set @a deaths 0
scoreboard players operation #e_seconds val = #eliminate_interval val
scoreboard objectives setdisplay sidebar
scoreboard objectives setdisplay below_name deaths
scoreboard players set .timer_running val 0
bossbar set minecraft:game color yellow
scoreboard players set .scenario val 1

scoreboard players reset * survived_mins
scoreboard players reset * survived_secs1
scoreboard players reset * survived_secs2
scoreboard players reset * survived_ticks2

function rr:game/elimination/countdown